Bug 1083247 - (CVE-2018-0489) VUL-0: CVE-2018-0489: xmltooling: Shibboleth XMLTooling-C before 1.6.4, as used in Shibboleth Service Providerbefore 2.6.1.4 on Windows and other products, mishandles digital signatures ofuser data, which allows remote attackers to obtain
(CVE-2018-0489)
VUL-0: CVE-2018-0489: xmltooling: Shibboleth XMLTooling-C before 1.6.4, as us...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/200948/
CVSSv3:SUSE:CVE-2018-0489:4.8:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-28 08:30 UTC by Karol Babioch
Modified: 2018-09-07 12:45 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-02-28 08:30:09 UTC
CVE-2018-0489

Shibboleth XMLTooling-C before 1.6.4, as used in Shibboleth Service Provider
before 2.6.1.4 on Windows and other products, mishandles digital signatures of
user data, which allows remote attackers to obtain sensitive information or
conduct impersonation attacks via crafted XML data. NOTE: this issue exists
because of an incomplete fix for CVE-2018-0486.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-0489
http://www.debian.org/security/2018/dsa-4126
https://shibboleth.net/community/advisories/secadv_20180227.txt
https://bugzilla.suse.com/show_bug.cgi?id=1075975
Comment 1 Kristyna Streitova 2018-02-28 14:00:55 UTC
patch: https://git.shibboleth.net/view/?p=cpp-xmltooling.git;a=patch;h=74ec6fa833f46a84486a97c491e391fb8c48f1ea


|    Codestream    | Request |
|------------------|---------|
| SUSE:SLE-12-SP1  | #156309 |
| SUSE:SLE-15:GA   | #156310 |
| openSUSE:Factory | #580972 |


Done, I'm reassigning it back to the security team.
Comment 4 Swamp Workflow Management 2018-03-16 20:11:52 UTC
SUSE-SU-2018:0720-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1083247
CVE References: CVE-2018-0486,CVE-2018-0489
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    xmltooling-1.5.6-3.6.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    xmltooling-1.5.6-3.6.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    xmltooling-1.5.6-3.6.1
SUSE Linux Enterprise Server 12-SP3 (src):    xmltooling-1.5.6-3.6.1
SUSE Linux Enterprise Server 12-SP2 (src):    xmltooling-1.5.6-3.6.1
Comment 5 Swamp Workflow Management 2018-03-18 14:11:50 UTC
openSUSE-SU-2018:0738-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1083247
CVE References: CVE-2018-0486,CVE-2018-0489
Sources used:
openSUSE Leap 42.3 (src):    xmltooling-1.5.6-9.1
Comment 6 Marcus Meissner 2018-09-07 12:45:41 UTC
done